

With CONFIG_AUDITSYSCALL=n:

arch/ia64/kernel/ptrace.c: In function `syscall_trace_enter':
arch/ia64/kernel/ptrace.c:1615: warning: implicit declaration of function `audit_syscall_entry'
arch/ia64/kernel/ptrace.c: In function `syscall_trace_leave':
arch/ia64/kernel/ptrace.c:1631: warning: implicit declaration of function `audit_syscall_exit'

And the link fails, due to audit_syscall_entry() not being present.

Cc: <tony.luck@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ia64/kernel/ptrace.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN arch/ia64/kernel/ptrace.c~ia64-audit-build-fix arch/ia64/kernel/ptrace.c
--- 25/arch/ia64/kernel/ptrace.c~ia64-audit-build-fix	Tue Mar  1 14:43:07 2005
+++ 25-akpm/arch/ia64/kernel/ptrace.c	Tue Mar  1 14:43:17 2005
@@ -16,6 +16,7 @@
 #include <linux/smp_lock.h>
 #include <linux/user.h>
 #include <linux/security.h>
+#include <linux/audit.h>
 
 #include <asm/pgtable.h>
 #include <asm/processor.h>
_
